#include "transform.c"

#ifndef hadamard_h
#define hadamard_h

class Hadamard: public Transform {
 protected:
  void create();

 public:
  // contructor/deconstructor
  Hadamard(int new_size) : Transform(new_size) 
    { if (size > 0) create(); }
  ~Hadamard();

  // overwrites of threshold functions
  void scale_to (float * array);
  void scale_from (float * array);
  void threshold (float * array);
};

#endif
